Bug 851814 - Review Request: emerald-themes - Themes for Emerald, a window decorator for Compiz Fusion
Review Request: emerald-themes - Themes for Emerald, a window decorator for C...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 20:02 EDT by Wolfgang Ulbrich
Modified: 2013-02-12 08:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-29 02:07:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
leigh123linux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2012-08-25 20:02:49 EDT
Spec URL: <http://raveit65.fedorapeople.org/compiz/SPEC/emerald-themes.spec
SRPM URL: http://raveit65.fedorapeople.org/compiz/SRPM/emerald-themes-0.5.2-6.fc17.src.rpm
Description: Emerald is themeable window decorator and compositing 
manager for Compiz Fusion.
Fedora Account System Username: raveit65
Comment 1 Wolfgang Ulbrich 2012-08-26 06:34:59 EDT
This is a re-review of a retired package.
Comment 4 leigh scott 2013-01-10 07:26:15 EST
Please fix

MD5-sum check
-------------
http://cgit.compiz.org/fusion/decorators/emerald-themes/snapshot/emerald-themes-0.5.2.tar.bz2 :
  CHECKSUM(SHA256) this package     : 1c2c77a0fff352569a2f013e8b6c1fd99e2b6f9185c9a64d2cf2e918d9de4841
  CHECKSUM(SHA256) upstream package : 146b97129675a83cd532646a0a7232ccee222caaa5bb32f802dfd8e7ee34eaac
diff -r also reports differences


And also change from

%files
%doc ChangeLog COPYING README
%{_datadir}/emerald/*


to

%files
%doc ChangeLog COPYING README
%{_datadir}/emerald/themes/
Comment 5 Wolfgang Ulbrich 2013-01-10 11:43:32 EST
Thank you for those hints.

%changelog
* Thu Jan 10 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> -  1:0.5.2-8
- own directory
- use new upstream package for rpm
- generate configure
- drop unnecessary command to remove import.sh
- remove files with 'bak' instead of '~'
- drop unnecessary 'chmod' command

new successful koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4855521

Spec URL: http://raveit65.fedorapeople.org/compiz/SPEC/emerald-themes.spec
SRPM URL: http://raveit65.fedorapeople.org/compiz/SRPM/emerald-themes-0.5.2-8.fc19.src.rpm
Comment 6 leigh scott 2013-01-10 12:13:47 EST
You have a missing buildrequires autoconf


+ /usr/bin/bzip2 -dc /builddir/build/SOURCES/emerald-themes-0.5.2.tar.bz2
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd emerald-themes-0.5.2
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ autoreconf -v --install
/var/tmp/rpm-tmp.0LjNdY: line 37: autoreconf: command not found
error: Bad exit status from /var/tmp/rpm-tmp.0LjNdY (%prep)
Comment 7 leigh scott 2013-01-10 12:29:28 EST
APPROVED

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/emerald-themes
See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[-]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[-]: Package uses nothing in %doc for runtime.
[?]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/leigh/851814-emerald-themes/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[!]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/emerald-themes
[x]: Package obeys FHS, except libexecdir and /usr/target.
[?]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[?]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[?]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: emerald-themes-0.5.2-8.fc19.src.rpm
          emerald-themes-0.5.2-8.fc19.noarch.rpm
emerald-themes.src: W: spelling-error %description -l en_US themeable -> theme able, theme-able, permeable
emerald-themes.src: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
emerald-themes.noarch: W: spelling-error %description -l en_US themeable -> theme able, theme-able, permeable
emerald-themes.noarch: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint emerald-themes
emerald-themes.noarch: W: spelling-error %description -l en_US themeable -> theme able, theme-able, permeable
emerald-themes.noarch: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
emerald-themes-0.5.2-8.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    compiz >= 0.8.8
    emerald >= 0.8.8



Provides
--------
emerald-themes-0.5.2-8.fc19.noarch.rpm:
    
    emerald-themes = 1:0.5.2-8.fc19



MD5-sum check
-------------
http://cgit.compiz.org/fusion/decorators/emerald-themes/snapshot/emerald-themes-0.5.2.tar.bz2 :
  CHECKSUM(SHA256) this package     : 146b97129675a83cd532646a0a7232ccee222caaa5bb32f802dfd8e7ee34eaac
  CHECKSUM(SHA256) upstream package : 146b97129675a83cd532646a0a7232ccee222caaa5bb32f802dfd8e7ee34eaac


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 851814
Comment 8 Wolfgang Ulbrich 2013-01-10 13:11:03 EST
Package Change Request
======================
Package Name: emerald
New Branches: f18
Owners: raveit65
InitialCC:
Comment 9 Wolfgang Ulbrich 2013-01-10 13:11:58 EST
Package Change Request
======================
Package Name: emerald
New Branches: f18
Owners: raveit65
InitialCC:
Comment 10 Wolfgang Ulbrich 2013-01-10 13:14:21 EST
sorry, wrong Package Change Request

Package Change Request
======================
Package Name: emerald-themes
New Branches: f18
Owners: raveit65
InitialCC:
Comment 11 Gwyn Ciesla 2013-01-10 13:21:57 EST
Git done (by process-git-requests).
Comment 12 Wolfgang Ulbrich 2013-02-12 07:56:24 EST
Package Change Request
======================
Package Name: emerald-themes
New Branches: f17
Owners: raveit65
InitialCC:
Comment 13 Gwyn Ciesla 2013-02-12 08:25:52 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.